﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BGCollectorScript : MonoBehaviour {

	GameObject[] backgrounds;
	GameObject[] grounds;

	float lastBGX;
	float lastGroundX;

	// Use this for initialization
	void Start () {
		backgrounds = GameObject.FindGameObjectsWithTag ("Background");
		Debug.Log ("Anzahl Backgrounds: " + backgrounds.Length);

		grounds = GameObject.FindGameObjectsWithTag ("Ground");
		Debug.Log ("Anzahl Grounds: " + grounds.Length);

		lastBGX = backgrounds [0].transform.position.x;
		Debug.Log ("lastBGX: " + lastBGX);

		lastGroundX = grounds [0].transform.position.x;
		Debug.Log ("lastGroundX: " + lastGroundX);

		for (int i = 1; i < backgrounds.Length; i++) 
		{
			if (lastBGX < backgrounds [i].transform.position.x) 
			{
				// Wenn Hintergrund im Array an Stelle i größer ist
				// Dann ist dieser der letzte
				lastBGX = backgrounds[i].transform.position.x;
			}
		}

		for (int i = 1; i < grounds.Length; i++) 
		{
			if (lastGroundX < grounds [i].transform.position.x) {
				// Wenn Untergrund im Array an Stelle i größer ist
				// Dann ist dieser der letzte
				lastGroundX = grounds [i].transform.position.x;
			}
		}

	}
	
	// Update is called once per frame
	void Update () {
		
	}

	void OnTriggerEnter2D(Collider2D other)
	{
		//Debug.Log (other.gameObject.name);


		if (other.tag == "Background") 
		{
			// Background
			Vector3 temp = other.transform.position;

			// Größe des BoxCollider2D
			Vector2 boxColl = other.GetComponent<BoxCollider2D>().size;
			float width = boxColl.x * 2.34f;

			// Verschiebung -> lastBGX + width 
			temp.x = lastBGX + width;
			other.transform.position = temp;

			// Neuer Hintergrund wird im nächsten Durchlauf zum letzten Hintergrund
			lastBGX = temp.x;
		}
		else if(other.tag == "Ground")
		{
			// Ground
			Vector3 temp = other.transform.position;
			Vector2 boxColl = other.GetComponent<BoxCollider2D> ().size;
			float width = boxColl.x * 1.16f / 2;

			temp.x = lastGroundX + width;
			other.transform.position = temp;

			// Neuer Untergrund wird im nächsten Durchlauf zum letzten Untergrund
			lastGroundX = temp.x;
		}
		
	}


}
