﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class RockCollector : MonoBehaviour {

	private GameObject[] rockHolders;

	public float rockMax = 4.5f;
	public float rockMin = -1.5f;

	public float distance = 3f;

	private float lastRockX;

	// Use this for initialization
	void Start () {
		rockHolders = GameObject.FindGameObjectsWithTag ("RockHolder");

		for (int i = 0; i < rockHolders.Length; i++) 
		{
			// aktuelle Position speichern
			Vector3 temp = rockHolders[i].transform.position;
			// zufällige generieren der Y-Position
			temp.y = Random.Range(rockMin,rockMax);
			// Zuweisung des Vectors
			rockHolders[i].transform.position = temp;
		}

		lastRockX = rockHolders [0].transform.position.x;

		for (int i = 1; i < rockHolders.Length; i++) 
		{
			if (lastRockX < rockHolders [i].transform.position.x) 
			{
				lastRockX = rockHolders [i].transform.position.x;
			}
		}


	}
	
	// Update is called once per frame
	void Update () {
		
	}

	void OnTriggerEnter2D(Collider2D other)
	{
		// prüfe ob es ein RockHolder ist
		if (other.tag == "RockHolder") 
		{
			Debug.Log ("Rockholder wurde erkannt");
			// tempäre position abspeichern
			Vector3 temp = other.transform.position;
			// Verschiebung entsprechend X-Achse
			temp.x = lastRockX + distance;
			// Zuweisung 
			other.transform.position = temp;
			// Aktueller Holder wird zu lastRock
			lastRockX = temp.x;
		}
	}
}
